Subject: Re: [PATCH 18/44] [IPV6]: Add Kconfig to enable Mobile IPv6.

From: Masahide NAKAMURA <[email-masked]>
Date: Thu, 24 Aug 2006 11:55:36 +0900

David Miller wrote:
> From: YOSHIFUJI Hideaki <[email-masked]>
> Date: Thu, 24 Aug 2006 00:02:19 +0900
> 
>> From: Masahide NAKAMURA <[email-masked]>
>>
>> Add Kconfig to enable Mobile IPv6.
>> Based on MIPL2 kernel patch.
>>
>> Signed-off-by: Noriaki TAKAMIYA <[email-masked]>
>> Signed-off-by: Masahide NAKAMURA <[email-masked]>
>> Signed-off-by: YOSHIFUJI Hideaki <[email-masked]>
> 
> Applied to net-2.6.19
> 
> Won't we also need a selection of route optimization and/or subtree
> options when enabling the mobile ipv6 config option?

We won't need them for building. I thought this option should be
just for the basic MIPv6 feature (i.e. knowledge of header types)
then I didn't add such dependency.

However, if we would think this option is a switch for enabling
MIPv6 roles (i.e. CN, HA and MN),

RO mode: Yes, it is required by all roles.

Policy routing: I guess No. Because it is not required by CN.
(required by MN, used by HA only for supporting physical home link)

Regards,

-- 
Masahide NAKAMURA